Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Auto-responder shared library issue

Discussion in 'E-mail Discussion' started by LoadFactor, May 16, 2018 at 12:39 PM.

  1. LoadFactor

    LoadFactor Member

    Joined:
    Jul 12, 2013
    Messages:
    24
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    With v70 I am getting seemingly random failures with (expired) autoresponders that is causing mail delivery failures. The error messages follow this form:

    ------ pipe to |/usr/local/cpanel/bin/autorespond
    user@domain.com /home/useracct/.autorespond
    generated by user@domain.com ------

    /usr/local/cpanel/bin/autorespond: error while loading shared libraries:
    /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/5.24.1/x86_64-linux-64int/au
    to/MIME/Base64/Base64.so: cannot open shared object file: No such file or
    directory

    This is Centos 7 Cloudlinux. I'm still investigating the symptoms; only this one server is affected.
     
  2. LoadFactor

    LoadFactor Member

    Joined:
    Jul 12, 2013
    Messages:
    24
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Confirming that the specified file is missing.
     
  3. cPanelLauren

    cPanelLauren Forums Analyst
    Staff Member

    Joined:
    Nov 14, 2017
    Messages:
    906
    Likes Received:
    65
    Trophy Points:
    103
    Location:
    Houston
    cPanel Access Level:
    DataCenter Provider
    Hi @LoadFactor

    The problem here is that we updated perl to 5.26 so it shouldn't be looking for the file in the old path for 5.24.

    Code:
    [root@cl ~]# ls -lah /usr/local/cpanel/3rdparty/perl/526/lib64/perl5/5.26.0/x86_64-linux-64int/auto/MIME/Base64/
    total 20K
    drwxr-xr-x 2 root root  23 May 14 12:46 .
    drwxr-xr-x 3 root root  20 May 14 12:46 ..
    -rwxr-xr-x 1 root root 18K Apr  9 16:13 Base64.so
    Now, I wonder if it's just a matter of updating the cage - can you run the following and let me know if the issue persists?

    Code:
    cagefsctl --force-update
    cagefsctl --remount-all 
     
  4. LoadFactor

    LoadFactor Member

    Joined:
    Jul 12, 2013
    Messages:
    24
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    This wound up being a symptom of another problem. We disabled PHP 5.1 on this server. For some reason that was causing upcp to not complete. It also caused cagefsctl --force-update to fail. Worked around the issue by enabling PHP 5.1 in EA4, then after Apache reconfigured the force update worked, as did the remount, and now auto-responders work again.

    At some point I'll dig into why turning 5.1 off causes things to break, but not today...
     
  5. cPanelLauren

    cPanelLauren Forums Analyst
    Staff Member

    Joined:
    Nov 14, 2017
    Messages:
    906
    Likes Received:
    65
    Trophy Points:
    103
    Location:
    Houston
    cPanel Access Level:
    DataCenter Provider
    Hi @LoadFactor

    Wow, that's an interesting series of events, definitely. If you purchased your CloudLinux license through us we'd be happy to look at what happened to alt-php51 and why having it disabled was causing the issue you were experiencing. I am glad to hear you were able to update though.

    Thanks!
     
Loading...

Share This Page